open System.IO ;;
open TextProcessing ;;

let addOneRef (e: Map<string,string>) (rd: StreamReader) =
  Map.add (rd.ReadLine()) (rd.ReadLine()) e  ;;

let addRefsInFile (e: Map<string,string>) path = 
  fileXfold addOneRef e path ;;   

[<EntryPoint>]
let main (args: string[]) = 
  let webCat = Array.fold 
                 addRefsInFile 
                 Map.empty 
                 args
  saveValue webCat "webCat.bin"
  0 ;;
 